
SRCS =	app.c Makefile.app README.app
OBJS =	app.o
PROGRAM = app

RLIB       = rlib.a
LIBR263    = libr263.a

LIBS       = -lm  $(LIBR263) $(RLIB)
LIB      = $(HOME)/lib/$(ARCH)


CC = gcc

CFLAGS =  -O3 -finline-functions -funroll-loops -pedantic $(INCDIR) -Wall
#CFLAGS =  -pg -gstabs+ -pedantic $(INCDIR) -Wall



all:		$(PROGRAM)


$(PROGRAM):	$(OBJS)
		$(CC) $(CFLAGS) $(LIBDIR) $(OBJS) -o $(PROGRAM) $(LIBS)

app.o:		libr263.h app.c

clean:		
		rm -f ${OBJS} *~ $(PROGRAM)

tar:		$(SRCS)
		tar cvf app.tar $(SRCS)
		gzip app.tar








